Package org.eclipse.net4j.util.lifecycle

# Class LifecycleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.eclipse.net4j.util.lifecycle.LifecycleException

All Implemented Interfaces:
  `Serializable`

public class LifecycleException extends IllegalStateException
An unchecked wrapper exception for checked exceptions being thrown from `Lifecycle.doActivate()`.

Author:
  Eike Stepper
See Also:
  - Serialized Form
No Extend
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`LifecycleException()`
`LifecycleException(String message)`
`LifecycleException(String message, Throwable cause)`
`LifecycleException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LifecycleException

public LifecycleException()

### LifecycleException

public LifecycleException(String message)

### LifecycleException

public LifecycleException(Throwable cause)

### LifecycleException

public LifecycleException(String message, Throwable cause)